AGQuery (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGQuery

Package com.franz.agraph.jena

# Class AGQuery

java.lang.Object
com.franz.agraph.jena.AGQuery

public class AGQuery extends Object
The class of queries that can be posed to AllegroGraph via Jena.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGQuery(org.eclipse.rdf4j.query.QueryLanguage language, String queryString)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.eclipse.rdf4j.query.QueryLanguage`
  `getLanguage()`
  `int`
  `getLimit()`
  Gets the limit on the number of solutions for this query.
  `int`
  `getOffset()`
  Gets the offset, the number of solutions to skip for this query.
  `String`
  `getQueryString()`
  `boolean`
  `isCheckVariables()`
  Gets the flag for checkVariables.
  `void`
  `setCheckVariables(boolean checkVariables)`
  A boolean that defaults to false, indicating whether an error should be raised when a SPARQL query selects variables that are not mentioned in the query body.
  `void`
  `setLimit(int limit)`
  Sets the limit on the number of solutions for this query.
  `void`
  `setOffset(int offset)`
  Sets the offset, the number of solutions to skip for this query.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AGQuery

    public AGQuery(org.eclipse.rdf4j.query.QueryLanguage language, String queryString)

- ## Method Details

  - ### getLanguage

    public org.eclipse.rdf4j.query.QueryLanguage getLanguage()

  - ### getQueryString

    public String getQueryString()

  - ### isCheckVariables

    public boolean isCheckVariables()
    Gets the flag for checkVariables.
    Returns:
      the checkVariables flag

  - ### setCheckVariables

    public void setCheckVariables(boolean checkVariables)
    A boolean that defaults to false, indicating whether an error should be raised when a SPARQL query selects variables that are not mentioned in the query body.
    Parameters:
      `checkVariables` - the checkVariables flag

  - ### getLimit

    public int getLimit()
    Gets the limit on the number of solutions for this query.
    Returns:
      limit

  - ### setLimit

    public void setLimit(int limit)
    Sets the limit on the number of solutions for this query.

    By default, the value is -1, meaning no constraint is imposed.

    Parameters:
      `limit` - the new value of the limit

  - ### getOffset

    public int getOffset()
    Gets the offset, the number of solutions to skip for this query.
    Returns:
      offset

  - ### setOffset

    public void setOffset(int offset)
    Sets the offset, the number of solutions to skip for this query.

    By default, the value is -1, meaning no constraint is imposed.

    Parameters:
      `offset` - the new value of the offset